### Method

# GLib MainContext dispatch

#### Declaration [src]

    void
    g_main_context_dispatch (
      GMainContext* context
    )

#### Description [src]

Dispatches all pending sources.

You must have successfully acquired the context with `g_main_context_acquire()` before you may call this function.

Since 2.76 `context` can be `NULL` to use the global-default main context.

#### Parameters

`context`

  Type: `GMainContext`

  A main context (if `NULL`, the global-default main context will be used).

  The argument can be `NULL`.